Skip to main content
`Ctrl`+`K`

# VECSEQHIP

VECSEQHIP = “seqcuda” - The basic sequential vector, modified to use HIP

## Options Database Key

- -vec_type seqcuda - sets the vector type to `VECSEQHIP` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECSEQ`, `VecType`, `VecCreateMPI()`, `VecSetPinnedMemoryMin()`, `VECCUDA`, `VECHIP`, VECMPICUDA`,` VECMPIHIP`,` VECSEQCUDA`

## Level

beginner

## Location

src/vec/vec/impls/seq/cupm/hip/vecseqcupm.hip.cpp

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages